include ../Makefile.common

OBJ += $(patsubst %.cpp,%.o,$(wildcard *.cpp))
LIBNAME = libtinyxml.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archive $@ 
	@ar -csru $@ $(OBJ)
	@echo

clean:
	-@$(RM) *.o
	-@$(RM) *.d
	-@$(RM) $(LIBNAME)
